summaryrefslogtreecommitdiff
path: root/tcwg_bmk-build.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2020-02-27 09:46:43 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2020-02-27 09:49:23 +0000
commit61d8236d6fede483b3024e1dc286ffbf82eba993 (patch)
treed27f3e40e8574cc6d6898ad8f1aa4896a93c41cf /tcwg_bmk-build.sh
parent7bc655b5401c03f34166c7e55a419578317a085c (diff)
tcwg_bmk-build.sh: define ref_artifacts and new_artifacts in no_regression_to_base_p
Fix thinko in second to last commit: we started using $new_artifacts in no_regression_to_base_p(), but did not define it. This patch defines it, as well as $ref_artifacts and replace $1 and $2 appropriately. Change-Id: I6f24ae4144a9f876669fa1140175338aa5465c57
Diffstat (limited to 'tcwg_bmk-build.sh')
-rwxr-xr-xtcwg_bmk-build.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index c962d122..7fdf0664 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -403,9 +403,12 @@ no_regression_to_base_p ()
no_build_regression_p "$@"
- if ! [ -f "$1/results_id" ]; then
+ local ref_artifacts=$1
+ local new_artifacts=$2
+
+ if ! [ -f "$ref_artifacts/results_id" ]; then
return 0
- elif ! [ -f "$2/results_id" ]; then
+ elif ! [ -f "$new_artifacts/results_id" ]; then
return 1
fi
@@ -413,7 +416,7 @@ no_regression_to_base_p ()
case "${cflags[0]}" in
*"_LTO"*) compare_opts="--num_symbols 0 --entry_threshold 10" ;;
esac
- compare_results "$1/results_id" "$2/results_id" "$compare_opts"
+ compare_results "$ref_artifacts/results_id" "$new_artifacts/results_id" "$compare_opts"
local bmk symbol result status prev_bmk
local -a bisect_bmks